Bug 113850 - CAN-2003-1023 mc stack overflow
CAN-2003-1023 mc stack overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: mc (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Jay Turner
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-19 10:27 EST by Mark J. Cox (Product Security)
Modified: 2015-01-07 19:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-21 04:34:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-01-19 10:27:42 EST
A buffer overflow has been found in Midnight Commander's virtual
filesystem code. Specifically, a stack-based buffer overflow in
vfs_s_resolve_symlink of vfs/direntry.c allows remote attackers to
execute arbitrary code during symlink conversion.

        Affects: 2.1AS 2.1AW 2.1ES 2.1WS
        Affects: 3ES 3AW 3WS

Erratum in progress.
Comment 1 Mark J. Cox (Product Security) 2004-01-19 10:37:07 EST
Actually, didn't ship in RHEL3. 
Comment 2 Mark J. Cox (Product Security) 2004-01-21 04:34:30 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-034.html

Note You need to log in before you can comment on or make changes to this bug.